Support
API ReferencePlatform & IntegrationANS API

Trigger ACME validation

POST
/v1/agents/{agentId}/verify-acme

Path Parameters

agentId*string

Unique identifier of the agent

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/agents/string/verify-acme"
{
  "completedSteps": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "pendingSteps": [
    "string"
  ],
  "phase": "INITIALIZATION",
  "status": "PENDING_VALIDATION",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

Verify DNS record configuration

POST
/v1/agents/{agentId}/verify-dns

Path Parameters

agentId*string

Unique identifier of the agent

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/agents/string/verify-dns"
{
  "completedSteps": [
    "string"
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "pendingSteps": [
    "string"
  ],
  "phase": "INITIALIZATION",
  "status": "PENDING_VALIDATION",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "incorrectRecords": [
    {
      "expected": "string",
      "found": "string",
      "record": {
        "name": "string",
        "priority": 0,
        "purpose": "DISCOVERY",
        "required": true,
        "ttl": 3600,
        "type": "HTTPS",
        "value": "string"
      }
    }
  ],
  "missingRecords": [
    {
      "name": "string",
      "priority": 0,
      "purpose": "DISCOVERY",
      "required": true,
      "ttl": 3600,
      "type": "HTTPS",
      "value": "string"
    }
  ],
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

Last updated on

How is this guide?